Curses::UI::Dialog::Status(3pm)

NAME
Curses::UI::Dialog::Status - Create and manipulate status dialogs

CLASS HIERARCHY
 Curses::UI::Widget
    |
    +----Curses::UI::Container
            |
            +----Curses::UI::Window
                    |
                    +----Curses::UI::Dialog::Status

SYNOPSIS
    use Curses::UI;
    my $cui = new Curses::UI;
    my $win = $cui->add('window_id', 'Window');

    # The hard way.
    # -------------
    my $dialog = $win->add(
        'mydialog', 'Dialog::Status',
    -message   => 'Hello, world!',
    );

    $dialog->draw();

    $win->delete('mydialog');

    # The easy way (see Curses::UI documentation).
    # --------------------------------------------
    $cui->status( -message => 'Some message' );

    # or even:
    $cui->status( 'Some message' );

    $cui->nostatus;

DESCRIPTION
Curses::UI::Dialog::Status is not really a dialog, since the user has no way of interacting with it. It is merely a way of presenting status information to the user of your program.

See exampes/demo-Curses::UI::Dialog::Status in the distribution for a short demo.

OPTIONS

•   -title < TEXT >

    Set the title of the dialog window to TEXT.

•   -message < TEXT >

    This option sets the initial message to show to TEXT.

METHODS

•   new ( OPTIONS )

•   layout ( )

•   draw ( BOOLEAN )

    These are standard methods. See Curses::UI::Container for an explanation of these.

•   message ( TEXT )

    This method will update the message of the status dialog to TEXT. For this update to show, you will have to call the draw method of the progress dialog.

SEE ALSO
Curses::UI, Curses::UI::Container

AUTHOR
Copyright (c) 2001-2002 Maurice Makaay. All rights reserved.

Maintained by Marcus Thiesen (marcus@cpan.thiesenweb.de)

This package is free software and is provided "as is" without express or implied warranty. It may be used, redistributed and/or modified under the same terms as perl itself.